Search documentation of grizzly

# View Source Grizzly.ZWave.CommandClasses.DoorLock (grizzly v7.4.2)

DoorLock Command Class

This command class provides commands that are used to operate and configure door lock devices

# Summary

## Types

door_components()
mode()
operation_type()

## Functions

door_handles_from_bitmask(byte)
door_handles_to_bitmask(handles)
mode_from_byte(byte)
mode_to_byte(atom)
operation_type_from_byte(byte)
operation_type_to_byte(atom)
to_minutes_and_seconds(seconds)

# Types

Link to this type

# door_components()

View Source

    @type door_components() :: :bolt | :latch | :door

Link to this type

# mode()

View Source

    @type mode() ::
      :unsecured
      | :unsecured_with_timeout
      | :unsecured_inside_door_handles
      | :unsecured_inside_door_handles_with_timeout
      | :unsecured_outside_door_handles
      | :unsecured_outside_door_handles_with_timeout
      | :secured
      | :unknown

Link to this type

# operation_type()

View Source

    @type operation_type() :: :constant_operation | :timed_operation

# Functions

Link to this function

# door_handles_from_bitmask(byte)

View Source
Link to this function

# door_handles_to_bitmask(handles)

View Source
Link to this function

# mode_from_byte(byte)

View Source

    @spec mode_from_byte(byte()) :: mode()

Link to this function

# mode_to_byte(atom)

View Source

    @spec mode_to_byte(mode()) :: byte()

Link to this function

# operation_type_from_byte(byte)

View Source
Link to this function

# operation_type_to_byte(atom)

View Source
Link to this function

# to_minutes_and_seconds(seconds)

View Source